Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 542498 (NP-Hardass) - Package reassignment: Adam Feldman (np-hardass)
Summary: Package reassignment: Adam Feldman (np-hardass)
Status: CONFIRMED
Alias: NP-Hardass
Product: Gentoo Developers/Staff
Classification: Unclassified
Component: Retirement (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Retirement Admin
URL:
Whiteboard: first-email-sent: 2022-01-16
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-08 05:28 UTC by Ian Delaney (RETIRED)
Modified: 2022-05-13 05:34 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
response to first email (email,14.09 KB, text/plain)
2019-03-30 16:42 UTC, Adam Feldman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Delaney (RETIRED) gentoo-dev 2015-03-08 05:28:21 UTC
This keen user will be known as NP-Hardass by nick and by name. He has elected to keep his personal name out of public view for reasons of privacy which has been endorsed by the Gentoo Foundation's members, the Board of Trustees.  He has registered an alternate nick on IRC, NP-Completeass. NP-Hard and NP-Complete are mathematical concepts pertaining to how long algorithms
take to run. His handle symbolizes his interest and education in maths and computer science and highlights it as a major source of influence both personally and professionally.  His favorite areas of study, and those in 
which he excelled, were algorithms and graph theory. The suffix ass, well, it speaks for itself really. ass course has its own voice.
	
Master NP-lives in the greater NYC area. He runs his own small business doing IT consultation and software development. His C.S. course from uni included programming in C, C++ and some scripting languages.  He primarily codes in C, but is fairly proficient in Java, and he is attempting to increase proficiency in Python and C++.

He has been using Gentoo since around 2008.  He has participated in assisting others in IRC for a couple of years now. As many Gentoo users do, he started to run his own overlay, adding packages here and there and making tweaks and version bumps.  app-emulation/wine has had some major lapses in support lately 
and it is in this herd / project that he represents his primary contribution to gentoo and targeted realm in which to develop for the Gentoo Community.  He has now established proxy maintainership status via the pertinent dev for the package app-emulation/wine. He is in the process of becoming a proxy maintainer for net-fs/openafs{,-kernel} He has also revised the ebuild for supybot, re-named linmoria, and authored ebuilds which are in portage under 
his proxy maintainer status.
Comment 1 Markos Chandras (RETIRED) gentoo-dev 2015-03-11 19:52:29 UTC
Despite your long comment, it's still not clear what this bug is about. Does he want to become a dev? a staffer? something else? I also don't get all the NP-* symbols. What are these for? they only cause confusion. Can we simply stick to a "gentoo" nickname preferable without special symbols (_,-,etc)? The IRC nickname can be whatever he wants though.
Comment 2 Paul Freeman 2015-03-11 23:45:06 UTC
reasons of privacy ? gees has "open" now become unfashionable ?
Comment 3 Markos Chandras (RETIRED) gentoo-dev 2015-03-12 07:49:43 UTC
Is it so hard to read what I am writing instead of putting words in my mouth? I asked why using so many NP-* nicknames. We need just one for the gentoo account (without special chars) assuming he is running for dev/staffer. He is free to register a million nicknames on IRC if he wants to.
Comment 4 Andreas K. Hüttel archtester gentoo-dev 2015-03-18 00:58:09 UTC
editbugs granted, Ian is watching
Comment 5 Adam Feldman gentoo-dev 2015-03-18 01:07:09 UTC
Regarding the nickname, sorry for the confusion.

I go by NP-Hardass.  NP-Completeass is my alt nick on IRC, and for the sake of this discussion, can be ignored.
Comment 6 Adam Feldman gentoo-dev 2015-03-18 01:15:17 UTC
Regarding my intention, I'm going for developer status.  I am now maintaining app-emulation/{wine,winetricks,playonlinux},net-fs/openafs{,-kernel},net-irc/limnoria and am interested in continuing to contribute to the community in an ever increasing capacity.
Comment 7 Adam Feldman gentoo-dev 2015-03-22 01:47:21 UTC
Just to reduce confusion
Comment 8 Andreas K. Hüttel archtester gentoo-dev 2015-03-22 15:44:42 UTC
CC'ing trustees, they just need to confirm / give a go here (re safeguarding identification)
Comment 9 Ian Delaney (RETIRED) gentoo-dev 2015-04-15 12:27:57 UTC
Has pursued refining the package net-fs/openafs-kernel and is now added as  co-maintainer of teamviewer, a package related to wine.  Also has pursued wine itself including runtesting of the 2nd weekly version bump.

All quizzes now complete and awaiting final approval from co-mentor pacho before submission to the lais for recruiters.NP-Hardass has made fine progress.
Comment 10 Pacho Ramos gentoo-dev 2015-04-18 07:17:48 UTC
NP-Hardass has sent the quizzes to recruiters and also has sent a mail to the trustees to clarify what concrete information do they need and what is the best way to send it to them :)
Comment 11 Justin Lecher (RETIRED) gentoo-dev 2015-05-04 12:15:51 UTC
Thanks for sending everything in. You are in the line. Currently we have a short backlog, but we are coming to you soon.
Comment 12 Adam Feldman gentoo-dev 2015-05-04 18:26:29 UTC
(In reply to Justin Lecher from comment #11)
> Thanks for sending everything in. You are in the line. Currently we have a
> short backlog, but we are coming to you soon.

Thank you for the update.  Greatly appreciated.
Comment 13 Justin Lecher (RETIRED) gentoo-dev 2015-05-24 07:12:48 UTC
I will be your recruiter.
Always add a comment to this bug when you send something to that address. Please contact me by IRC or email to schedule the first review session. If you think that recruiters aren't paying attention to this bug at any later point in time, it's your job to ping us on IRC if you don't want any delays.
Comment 14 Adam Feldman gentoo-dev 2015-06-16 05:13:28 UTC
Edited quizzes and fixed ebuild sent to recruiters.
Comment 15 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2015-06-18 06:00:46 UTC
jlec:
When you added him to CVS, you didn't give him the groups (cvs). I added him because he noted it in #gentoo-infra, per https://bpaste.net/show/a0bac562e795
Comment 16 Justin Lecher (RETIRED) gentoo-dev 2015-06-18 06:22:26 UTC
What we did:
- LDAP
- bugzilla
- cvs group on cvs.gentoo.org
- IRC cloak
- sent you your LDAP/mail password via encrypted mail

Pending:
- announcement
 
Automatic:
- gentoo-core
- gentoo-dev-announcement
 
What you need to do:
- subscribe to mailing lists with your @gentoo.org address
- request forum status bump in #gentoo-forums or by mail to
  forum-mods@gentoo.org (if you have a forums account)
- send yourself mail to check if it works
- add yourself to mail aliases ( like java@gentoo.org )
  see /var/mail/alias on dev.gentoo.org
- ask team leads to add yourself to herds.xml for the herds you want to
  join or do it yourself if you have the permission to do so
- Register to wiki.gentoo.org with your @gentoo.org e-mail address using
  the following instructions: https://wiki.gentoo.org/getting-started
- set lat and lon attributes in LDAP if you want others to know where
  exactly you are located
- set gentooIM if you want people to be able to contact you via other
  means than email
- If you want your blog to be syndicated to planet.gentoo.org, check
  http://www.gentoo.org/proj/en/userrel/planet/index.xml
- contact trustees@gentoo.org for Foundation membership (optional)
 
For the mentor:
- You are also responsible for the commits of your recruit during the first
  month so you should watch the commits of your recruit via gentoo-commits
  mailing list.
Comment 17 Justin Lecher (RETIRED) gentoo-dev 2015-06-19 08:18:08 UTC
(In reply to Justin Lecher from comment #16)
> Pending:
> - announcement
SENT
Comment 18 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-11-29 19:37:01 UTC
First mail sent.
Comment 19 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-03-30 16:18:17 UTC
Second mail sent.
Comment 20 Adam Feldman gentoo-dev 2019-03-30 16:42:04 UTC
Created attachment 571252 [details]
response to first email
Comment 21 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-04-30 14:03:17 UTC
Third mail sent.
Comment 22 Adam Feldman gentoo-dev 2019-05-06 16:17:22 UTC
All responses to emails have been ignored.  Referring to comrel and council for abusive retirement proceedings.
Comment 23 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-05-06 16:34:06 UTC
Please do not vandalise developer bugs.
Comment 24 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-06 16:44:24 UTC
I have talked to dilfridge. Council is supposed to take it from here, as this is GLEP76 related (which is out of ComRel's responsibility).
Comment 25 Amy Liffey gentoo-dev 2019-05-08 11:11:04 UTC
Hello All,
The developer bugs belong to recruiters team and in case of retirement the undertakers team becomes responsible. Since according to retirement policies this bug now belongs to Undertakers team and as such only members of this team are eligible to manipulate such a bug. So please respect the policies.


@np-hardass: If you can please provide evidence of your recent commit activity we will gladly refresh the bug. If you do not commit to the main tree and only submit github pull requests or patches, there does not seem to be need for you having commit access.

Thank you and have a nice day.
Comment 26 Adam Feldman gentoo-dev 2019-05-08 12:00:36 UTC
(In reply to Amy Liffey from comment #25)
> Hello All,
> The developer bugs belong to recruiters team and in case of retirement the
> undertakers team becomes responsible. Since according to retirement policies
> this bug now belongs to Undertakers team and as such only members of this
> team are eligible to manipulate such a bug. So please respect the policies.
> 
> 
> @np-hardass: If you can please provide evidence of your recent commit
> activity we will gladly refresh the bug. If you do not commit to the main
> tree and only submit github pull requests or patches, there does not seem to
> be need for you having commit access.
> 
> Thank you and have a nice day.

Proof of activity
https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8e39709abecaf02d305b1ace1f460c3b1f02c9d

As I am not inactive, Undertakers should not have any involvement here at this time.
Likewise, as I am not inactive, nor am I applying to be a new developer, Recruiters should have no involvement here at this time.
Comment 27 Amy Liffey gentoo-dev 2019-05-08 12:18:11 UTC
(In reply to NP-Hardass from comment #26)
> (In reply to Amy Liffey from comment #25)
> > Hello All,
> > The developer bugs belong to recruiters team and in case of retirement the
> > undertakers team becomes responsible. Since according to retirement policies
> > this bug now belongs to Undertakers team and as such only members of this
> > team are eligible to manipulate such a bug. So please respect the policies.
> > 
> > 
> > @np-hardass: If you can please provide evidence of your recent commit
> > activity we will gladly refresh the bug. If you do not commit to the main
> > tree and only submit github pull requests or patches, there does not seem to
> > be need for you having commit access.
> > 
> > Thank you and have a nice day.
> 
> Proof of activity
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=a8e39709abecaf02d305b1ace1f460c3b1f02c9d
> 
> As I am not inactive, Undertakers should not have any involvement here at
> this time.
> Likewise, as I am not inactive, nor am I applying to be a new developer,
> Recruiters should have no involvement here at this time.

The bug is assigned to its owner so please respect the policy.
Comment 28 Adam Feldman gentoo-dev 2019-05-08 12:20:25 UTC
(In reply to Amy Liffey from comment #27)
> (In reply to NP-Hardass from comment #26)
> > (In reply to Amy Liffey from comment #25)
> > > Hello All,
> > > The developer bugs belong to recruiters team and in case of retirement the
> > > undertakers team becomes responsible. Since according to retirement policies
> > > this bug now belongs to Undertakers team and as such only members of this
> > > team are eligible to manipulate such a bug. So please respect the policies.
> > > 
> > > 
> > > @np-hardass: If you can please provide evidence of your recent commit
> > > activity we will gladly refresh the bug. If you do not commit to the main
> > > tree and only submit github pull requests or patches, there does not seem to
> > > be need for you having commit access.
> > > 
> > > Thank you and have a nice day.
> > 
> > Proof of activity
> > https://gitweb.gentoo.org/repo/gentoo.git/commit/
> > ?id=a8e39709abecaf02d305b1ace1f460c3b1f02c9d
> > 
> > As I am not inactive, Undertakers should not have any involvement here at
> > this time.
> > Likewise, as I am not inactive, nor am I applying to be a new developer,
> > Recruiters should have no involvement here at this time.
> 
> The bug is assigned to its owner so please respect the policy.

And... As I just showed you, I am active, I provided proof of activity.  So, please cease retirement proceedings.
Comment 29 Amy Liffey gentoo-dev 2019-05-08 13:38:19 UTC
This case is paused till the next council meeting, where it might be discussed. If the council does not have any decision, the Undertakers lead will decide what will be the next procedure.
Comment 30 Thomas Deutschmann gentoo-dev 2019-05-13 22:45:01 UTC
During council meeting on 2019-05-12, council members unanimously voted for

> Undertaker should stop retirement of NP-Hardass as long as NP-Hardass
> shows *any* activity like former staffer or dev in Gentoo.
Comment 31 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-05-14 12:54:58 UTC
(correcting per Undertakers workflow)
Comment 32 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-05-14 13:07:03 UTC
(In reply to Thomas Deutschmann from comment #30)
> During council meeting on 2019-05-12, council members unanimously voted for
> 
> > Undertaker should stop retirement of NP-Hardass as long as NP-Hardass
> > shows *any* activity like former staffer or dev in Gentoo.

For the record, (a) Undertakers haven't started retirement, so there is nothing to stop, and (b) all actions (read: requests for status update) done by Undertakers were prior to *any* activity from the developer.  Therefore, I would really appreciate if the Council reworded the motion not to sound like an accusation that we were retiring an active developer.

There's of course the matter of professionalism in the fact that instead of providing us with activity, the developer files a formal complaint that we were apparently retiring him (by sending a boilerplate status update mail, *when he was not active*) and requests appeal of a decision that wouldn't have been made in the first place (because he became active since then).  While this may be understandable from a developer who may not know or care to learn Undertakers workflow, I dare say Council members should be held to higher standards.  However, I'm going to defer this matter until the next Council election.
Comment 33 Ulrich Müller gentoo-dev 2019-05-14 14:35:11 UTC
(In reply to Michał Górny from comment #32)

Sorry, but in comment #29 one of the Undertakers leads explicitly asked that the Council decide on how to proceed. Which we have done.

> For the record, (a) Undertakers haven't started retirement, so there is
> nothing to stop,

Well, the list of steps given on the project page had advanced to "third-mail-sent", which (IIUC) is the last Undertakers action before they will pass the ball to Infra.
https://wiki.gentoo.org/wiki/Project:Undertakers#Steps_to_retire_a_developer

> and (b) all actions (read: requests for status update) done by Undertakers
> were prior to *any* activity from the developer.

You are aware that we have a special situation here? Most of the inactivity period falls between the acceptance of GLEP 76 (in September/October 2018) and the Council sorting out a way for him how to proceed (in April 2019). That doesn't imply that I like his pseudonymous contributions, but things are as they are (and I cannot disclose his reasons).

> Therefore, I would really appreciate if the Council reworded the motion
> not to sound like an accusation that we were retiring an active developer.

I don't see any accusation there. It is a motion drafted during the meeting, so please give us some leeway if it isn't the most beautiful wording in the world.
Comment 34 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-05-14 15:41:42 UTC
(In reply to Ulrich Müller from comment #33)
> > For the record, (a) Undertakers haven't started retirement, so there is
> > nothing to stop,
> 
> Well, the list of steps given on the project page had advanced to
> "third-mail-sent", which (IIUC) is the last Undertakers action before they
> will pass the ball to Infra.
> https://wiki.gentoo.org/wiki/Project:Undertakers#Steps_to_retire_a_developer

You could give Undertakers some credit and assume they would review the situation again before 'passing the ball to Infra'.  Especially that prior to the meeting I have already pointed this out explicitly, giving a specific example of developer whose retirement is being deferred for 4th month already.

> > and (b) all actions (read: requests for status update) done by Undertakers
> > were prior to *any* activity from the developer.
> 
> You are aware that we have a special situation here? Most of the inactivity
> period falls between the acceptance of GLEP 76 (in September/October 2018)

His last activity at the time was from Jul 2018.  His last Bugzilla activity was from Mar 2018.

> and the Council sorting out a way for him how to proceed (in April 2019).

And how should we know about that?  FWICS the whole matter has been done in utmost secrecy, it was not mentioned on the meeting agenda, and the meeting summary is still missing.  The only information we had is that in Dec 2018 NP was still 'figuring things out', with no updates and no information that he's waiting on the Council.

That said, even if we considered that he wasn't able to commit, don't you think that complete lack of Bugzilla activity for over a year is a reason to suspect lack of interest in the distribution?  Even if he wasn't able to commit, he still could e.g. answer bug reports which he chose not to.

> That doesn't imply that I like his pseudonymous contributions, but things
> are as they are (and I cannot disclose his reasons).
> 
> > Therefore, I would really appreciate if the Council reworded the motion
> > not to sound like an accusation that we were retiring an active developer.
> 
> I don't see any accusation there. It is a motion drafted during the meeting,
> so please give us some leeway if it isn't the most beautiful wording in the
> world.

Then please make things clear in the upcoming summary.
Comment 35 Ulrich Müller gentoo-dev 2019-05-22 14:33:25 UTC
No action item for council any more, so removing from CC.
Comment 36 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-12-01 23:02:29 UTC
First mail sent.
Comment 37 Adam Feldman gentoo-dev 2020-04-02 01:00:15 UTC
Adding my name.  May be used to identify my works, per GLEP 76.
Comment 38 Adam Feldman gentoo-dev 2020-04-06 00:44:52 UTC
(In reply to NP-Hardass from comment #37)
> Adding my name.  May be used to identify my works, per GLEP 76.

Is there anything else that infra needs from me to restore my commit access?
If not, I'd appreciate restoration when you guys have a chance.

Thanks.
Comment 39 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2020-04-06 05:03:48 UTC
(In reply to Adam Feldman from comment #38)
> (In reply to NP-Hardass from comment #37)
> > Adding my name.  May be used to identify my works, per GLEP 76.
> 
> Is there anything else that infra needs from me to restore my commit access?
> If not, I'd appreciate restoration when you guys have a chance.
> 
> Thanks.

I have updated:
- name in LDAP
- restored gitolite access to repo/gentoo
- updated your name in Bugzilla

Please update anywhere else that you run into the old identity of 'NP-hardass' where it should be your name instead.
Comment 40 Adam Feldman gentoo-dev 2020-04-24 00:51:03 UTC
@Undertakers As I am active, can you please update this bug accordingly?  Thanks
Comment 41 Pacho Ramos gentoo-dev 2020-04-25 07:58:15 UTC
Sure, thanks for the remainder :)
Comment 42 Joonas Niilola gentoo-dev 2022-01-16 11:55:19 UTC
First mail sent.
Comment 43 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2022-05-13 05:34:58 UTC
gentoo.git access disabled.